#数据源配置
spring:
  redis:
    ##redis 单机环境配置
    host: 172.31.1.228
    port: 6379
    password:  Dh@82828800
    database: 4
    ssl: false
    ##redis 集群环境配置
    #cluster:
    #  nodes: 127.0.0.1:7001,127.0.0.1:7002,127.0.0.1:7003
    #  commandTimeout: 5000
#  datasource:
    # MySql
#    url: jdbc:mysql://172.31.1.233:3306/xamszyywxt?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true&rewriteBatchedStatements=true
#    username: root
#    password: Dh@82828800

    # PostgreSQL
    #url: jdbc:postgresql://127.0.0.1:5432/bladex_boot
    #username: postgres
    #password: 123456
    # Oracle
    #url: jdbc:oracle:thin:@127.0.0.1:1521:orcl
    #username: BLADEX_BOOT
    #password: BLADEX_BOOT
    # SqlServer
    #url: jdbc:sqlserver://127.0.0.1:1433;DatabaseName=bladex_boot
    #username: bladex_boot
    #password: bladex_boot
    # DaMeng
  #    url: jdbc:dm://172.1.0.215:5236/ZGXXXT?zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=utf-8
  #    username: ZGXXXT
  #    password: ZGXXXT2022
  datasource:
    dynamic:
      druid:
        # MySql、PostgreSQL、SqlServer、DaMeng校验
        validation-query: select 1
        # Oracle校验
        #validation-query: select 1 from dual
        validation-query-timeout: 2000
        initial-size: 5
        max-active: 20
        min-idle: 5
        max-wait: 60000
        test-on-borrow: false
        test-on-return: false
        test-while-idle: true
        time-between-eviction-runs-millis: 60000
        min-evictable-idle-time-millis: 300000
        stat-view-servlet:
          enabled: true
          login-username: blade
          login-password: 1qaz@WSX
        web-stat-filter:
          enabled: true
          url-pattern: /*
          exclusions: '*.js,*.gif,*.jpg,*.bmp,*.png,*.css,*.ico,/druid/*'
          session-stat-enable: true
          session-stat-max-count: 10
      primary: master
      strict: false
      datasource:
        master:
          url: jdbc:mysql://172.31.1.233:3306/xamszyywxt?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
          username: root
          password: Dh@82828800
          driver-class-name: com.mysql.cj.jdbc.Driver
          druid:
            # MySql、PostgreSQL、SqlServer、DaMeng校验
            validation-query: select 1
        sqlserver_1:
          url: jdbc:sqlserver://10.0.0.86:1433;DatabaseName=xam
          username: sa
          password: Dh82828800

  kafka:
    bootstrap-servers: 172.31.1.228:9092
    producer:
      retries: 0
      batch-size: 16384
      buffer-memory: 33554432
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
    consumer:
      group-id: kafka-ywxt-xamszy
      # 手动提交
      enable-auto-commit: false
      auto-offset-reset: latest
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      properties:
        session.timeout.ms: 60000
    listener:
      log-container-config: false
      concurrency: 5
      # 手动提交
      ack-mode: manual_immediate
  mq-topic:
    ywxt-datagram-message: topic-ywxt-datagram-message
    szy-water-flow-rate: topic-szy-water-flow-rate
    szy-water-level: topic-szy-water-level
    szy-rtu-status: topic-szy-rtu-status
    szy-rtu-warn: topic-szy-rtu-warn
    ywxt-warning: topic-ywxt-warning-message
    ywxt-rtu-status-update: topic-ywxt-rtu-status-update
  apk:
    qr-url: http://111.204.228.227:20002/api/galaxy-business/version/app/qr/url
    url: http://111.204.228.227:20002/app/apk
    save-path: D:\\tmp
  task-config:
    warning-check-task: true
    test-task: false
    rain-count-task: false
    surface-rain-task: false
    report-task: false
    rtu-datagram-up-task: false
    data-share-server: https://waterintake.goldenwater.com.cn
    #data-share-server: https://qysgl.mwr.cn
  warn-config:
    delay-duration: 120
    delay-min-duration: 10
    clock-failure-duration: 60
    outlier-value: 30
    missout: 5
export-config:
  workdir: D:\\tmp\\export
  equipment-info-template: equipment-template.xlsx
  inspection-remainingproblems-template: inspection-remainingproblems-template.xlsx
  inspection-unfinished-template: inspection-unfinished-template.xlsx
region-ver-config:
  original-ver: v1
  ver: v8
#第三方登陆
social:
  enabled: false
  domain: http://127.0.0.1:1888
#blade配置
blade:
  #分布式锁配置
  lock:
    ##是否启用分布式锁
    enabled: false
    ##redis服务地址
    address: redis://172.9.0.165:6379
    password:  Dh8282
  #本地文件上传
  file:
    remote-mode: true
    upload-domain: http://localhost:8999
    remote-path: /usr/share/nginx/html


